Bug#931415: sdl2-client crashes when entering game

2019-07-04 Thread Marko Lindqvist
Package: freeciv Version: 2.6.0-2 Some people are reporting to us in freeciv upstream that sdl2-client always crashes for them when entering the game. We have a fix for that as 0001-Fix-arithmetic-error-in-SDL2-create_line.patch (2019-07-03 02:18 AM) in http://www.hostedredmine.com/issues/824589

Bug#896924: extremetuxracer: segfault when reaching end of certain courses

2018-04-25 Thread Marko Lindqvist
On 26 April 2018 at 02:17, Andreas Eriksson wrote: > val = > #8 0x555a4e95 in CScore::AddScore(std::__cxx11::basic_string

Bug#853834: Ccache storing and restoring file paths that may no longer be correct

2017-02-01 Thread Marko Lindqvist
Package: ccache Version: 3.3.3-1 Building SDL2_mixer-2.0.1 (https://www.libsdl.org/projects/SDL_mixer/release/) multiple times with ccache enabled, following reproducible problem occurs. 1) Build SDL2_mixer in first source tree. I've used separate builddir when doing so. 2) Delete source and

Bug#848165: freeciv-client-qt: crash at exit ...leavegame->quit

2016-12-16 Thread Marko Lindqvist
As the crash is in atexit handlers when the program is closed, this seems like upstream bug #25364: http://gna.org/bugs/?25364 - ML

Bug#839104: Problem debugged

2016-10-27 Thread Marko Lindqvist
This regression has two parts: - etr gets window resize events it didn't before (this is cause by some change outside etr) - etr handling of the resize events seems buggy (previously latent bug activated by the changes outside etr) I'm testing a fix to upstream. -ML

Bug#839104: extremetuxracer takes the focus but no windows is displayed but sound is played => impossible to switch to other applications, impossible to close extremetuxracer

2016-10-26 Thread Marko Lindqvist
On 19 October 2016 at 22:08, Markus Koschany wrote: > On 19.10.2016 15:43, Isaac To wrote: >> On Thu, 29 Sep 2016 14:59:47 +0200 Markus Koschany > > wrote: >>> On 29.09.2016 14:52, gpe wrote: >>> > I'm using gnome and a NVIDIA vidéo card

Bug#827666: [Fwd: Freciv in Stretch]

2016-07-10 Thread Marko Lindqvist
On 9 July 2016 at 23:37, Markus Koschany wrote: > How can I avoid to run the configure step twice? Is there an option to > force SDL1 mixer for the sdl client that I've missed? The mixer support build is part of client-common code (library that all guis use - or try to use).

Bug#827666: [Fwd: Freciv in Stretch]

2016-07-02 Thread Marko Lindqvist
On 23 June 2016 at 17:00, Markus Koschany wrote: > > That sounds encouraging. Do you intend to release another version of the > 2.5 series before Debian's next freeze? Then I could upload the new > freeciv-client-gtk3 package together with this one. We have main content for

Bug#827666: [Fwd: Freciv in Stretch]

2016-06-19 Thread Marko Lindqvist
On 19 June 2016 at 19:33, Markus Koschany wrote: > > Debian has been providing both clients in the past but Jacob Nevins > insisted that we should remove the gtk3 client because it was too > experimental. Did this situation change in the meantime? Is the client > stable enough

Bug#784019: freeciv: removal of bz2 support = inability to load old savegames?

2015-05-02 Thread Marko Lindqvist
On 2 May 2015 at 11:52, Jacob Nevins jacobn+deb...@chiark.greenend.org.uk wrote: Package: freeciv-server Version: 2.5.0-1 I haven't tested this at all, I'm afraid, but noticed this in the changelog of the new Freeciv packages in experimental: | - Remove libbz2-dev from Build-Depends. |

Bug#784019: freeciv: removal of bz2 support = inability to load old savegames?

2015-05-02 Thread Marko Lindqvist
On 2 May 2015 at 17:56, Markus Koschany a...@gambaru.de wrote: only old savegames are affected. I think this (the word 'only') is the point we disagree about. Are you going to document it so that User should not upgrade from Jessie to Stretch before finishing current games of Freeciv. (or at

Bug#784019: freeciv: removal of bz2 support = inability to load old savegames?

2015-05-02 Thread Marko Lindqvist
On 2 May 2015 at 21:24, Markus Koschany a...@gambaru.de wrote: What about savegames from 2.2, 2.3 and so on, they all need to be converted by hand but that shouldn't be too difficult. True. To clarify: I'm not so worried about old old savegames, but as a user I would expect that I can

Bug#766185: freeciv-client-gtk: Removal of GTK+3 client

2014-10-22 Thread Marko Lindqvist
On Wednesday, 22 October 2014, Markus Koschany a...@gambaru.de wrote: On 22.10.2014 15:15, Marko Lindqvist wrote: Gtk3-client breakage with Jessie's latest gtk3 libraries is something I need to investigate if it's a bug in gtk3 or freeciv. I can't reproduce any black game screen when I

Bug#764114: freeciv: Error during build

2014-10-05 Thread Marko Lindqvist
On 5 October 2014 18:30, Rogier rogier...@gmail.com wrote: --enable-client=all \ Apparently, the configure step does not fail if the qt client is requested, and the qt headers etc. were not found... It would fail if qt-client was explicitly requested

Bug#757876: freeciv-client-gtk: can't start a local game

2014-08-12 Thread Marko Lindqvist
On 12 August 2014 20:05, Jacob Nevins jacobn+deb...@chiark.greenend.org.uk wrote: Xavier Cartron writes: - If I do 'freeciv-server -p 5557',, the server starts normally. Enh. Of course the client might not be choosing 5557. It tries to find a free port and tells the server to use that. (Sure

Bug#757876: freeciv-client-gtk: can't start a local game

2014-08-12 Thread Marko Lindqvist
On 12 August 2014 20:54, Marko Lindqvist cazf...@gmail.com wrote: There might be a bug in initial detection of the free port in that it checks only IPv4, but then final bind wants them both I've confirmed that bug in freeciv code (can't be sure that it's the problem you're suffering from

Bug#747975: extremetuxracer: SVG icon is missing

2014-05-13 Thread Marko Lindqvist
On 13 May 2014 23:20, Markus Koschany a...@gambaru.de wrote: Control: found -1 0.6.0-1 On 13.05.2014 13:52, Ronny Standtke wrote: Package: extremetuxracer Version: 0.6.0-1~bpo70+1 Severity: minor The previous version of extremetuxracer contained an SVG icon

Bug#706898: Upstream Project

2014-02-07 Thread Marko Lindqvist
We in the upstream project currently list said http://sourceforge.net/projects/extremetuxracer/ as our homepage in the latest documentation. The old URL is not coming back in foreseeable future. - ML -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of

Bug#738142: New upstream release 0.6.0, watchfile needs updating

2014-02-07 Thread Marko Lindqvist
Package: extremetuxracer Our latest release is 0.6.0, for which we also sanitized our downloads directory structure. Unfortunately this means that Debian's old watchfile does not catch new versions, though the change should make new version of such mechanisms more reliable in the future. - ML

Bug#730868: freeciv: New upstream version 2.4.1 available

2014-01-30 Thread Marko Lindqvist
On 30 January 2014 15:19, Markus Koschany a...@gambaru.de wrote: Does a similar option such as --enable-sys-lua exist for m4? If possible I would like to drop Debian's patch for this issue. No, and such an feature couldn't easily be part of the configure, as those .m4 -files are like part of

Bug#730868: freeciv: New upstream version 2.4.1 available

2014-01-28 Thread Marko Lindqvist
On 28 January 2014 16:34, Markus Koschany a...@gambaru.de wrote: On 27.01.2014 20:06, Marko Lindqvist wrote: [...] I think 2.4.0-1 takes advantage of our new configure option --enable-sys-lua that makes freeciv to use lua libraries found (and required) in the system instead of using the copy

Bug#730868: freeciv: New upstream version 2.4.1 available

2014-01-27 Thread Marko Lindqvist
On 27 January 2014 20:39, Markus Koschany a...@gambaru.de wrote: One of my biggest concerns is about the embedded lua libraries. Obviously until 2.4.0-1 Debian's lua5.1 system library has been used but the patch for making that happen has been removed with the last upload. What are the

Bug#730868: freeciv: New upstream version 2.4.1 available

2014-01-26 Thread Marko Lindqvist
On 26 January 2014 17:35, Jacob Nevins jacobn+deb...@chiark.greenend.org.uk wrote: Markus Koschany writes: the current human maintainers of freeciv are quite inactive/busy these days. You could always try to update the package yourself and ask someone on debian-devel-ga...@lists.debian.org for

Bug#696306: freeciv: CVE-2012-5645

2012-12-19 Thread Marko Lindqvist
On 19 December 2012 09:02, Moritz Muehlenhoff j...@inutil.org wrote: Package: freeciv Severity: important Tags: security Hi, please see http://aluigi.altervista.org/adv/freecivet-adv.txt That's two issues... Bug: http://gna.org/bugs/?20003 ... reported in one freeciv ticket. That CVE

Bug#672715: Failing lutimes() aborting whole unpacking

2012-05-13 Thread Marko Lindqvist
Source: dpkg Version: 1.16.3 I'm not sure if this counts as dpkg bug, or is the behavior exactly correct (for your upstream dpkg), but reporting just for you to consider. I'm using dpkg in building OpenEmbedded image. So I'm unpacking packets not to host system, but under custom prefix. Some

Bug#671623: override.cc fails to compile due to apti18n.h definitions conflicting with standard headers

2012-05-05 Thread Marko Lindqvist
Source: apt Version: 0.9.2 apti18n.h has comment about how each source file should include it last. That's for a reason, as override.cc compilation failed to find setlocale() declaration from locale.h when included after apti18n.h. Attached patch moves apti18n.h include to be last one.

Bug#671623: override.cc fails to compile due to apti18n.h definitions conflicting with standard headers

2012-05-05 Thread Marko Lindqvist
On 5 May 2012 16:42, David Kalnischkies kalnischkies+deb...@gmail.com wrote: On Sat, May 5, 2012 at 2:02 PM, Marko Lindqvist cazf...@gmail.com wrote: apti18n.h has comment about how each source file should include it last. That's for a reason, as override.cc compilation failed to find

Bug#476284:

2011-10-16 Thread Marko Lindqvist
Even if physics change caused by library upgrade independently from program upgrade would sometimes be unwanted, there should be option to use bullet from debian packet. Those programs that cannot afford to risk physics upgrade without balancing everything in program itself would be no way forced

Bug#591617: Build server with bzip2 savegame compression support

2010-08-04 Thread Marko Lindqvist
Package: freeciv Version: 2.2.1-1 Severity: wishlist It seems that freeciv-server is built without bzip2 savegame compression support. To test in server prompt: explain compresstype Option: compresstype - Savegame compression algorithm Description: Compression library to use for savegames.

Bug#591617: Build server with bzip2 savegame compression support

2010-08-04 Thread Marko Lindqvist
On 4 August 2010 14:37, Karl Goetz k...@kgoetz.id.au wrote: It seems that freeciv-server is built without bzip2 savegame compression support. We don't appear to modify the default here, so I assume freeciv upstream ships with zlib as default compression. Is there a particular motivator for

Bug#587890: Debian patch reverts upstream cross-compilation fix

2010-07-02 Thread Marko Lindqvist
Package: freeciv Version: 2.2.0-1 Among other changes patch 99_build_without_ggzd.diff effectively reverts upstream bugfix RT #40134 (ggz.m4 breaks cross-compilation), commit #14649. Is this intentional? - ML -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a

Bug#578068:

2010-04-16 Thread Marko Lindqvist
only meant to be used by one user Freeciv is primarily multiplayer game. I agree it would be nice to have option to use UNIX sockets when playing single player, though. - ML -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of unsubscribe. Trouble?

Bug#484810: Configure failure when all code is position independent

2008-07-12 Thread Marko Lindqvist
2008/6/6 Mark Brown [EMAIL PROTECTED]: On Fri, Jun 06, 2008 at 06:53:31PM +0300, Marko Lindqvist wrote: - SFLAGS=${CFLAGS--O3} -fPIC + SFLAGS=${CFLAGS--O3} + + if ! $CC -c $CFLAGS -fPIC $test.c 21 | + grep all code is position independent /dev/null + then +SFLAGS=$SFLAGS

Bug#484810: Configure failure when all code is position independent

2008-06-06 Thread Marko Lindqvist
Package: zlib1g Version: 1:1.2.3.3.dfsg-12 zlib1g configure checks assume that compile fails if compiler outputs anything, assuming it is always error message. (This is ugly, and one may want to fix it properly.) Compiler always gets -fPIC, and when compiling for certain platforms (I

Bug#484814: Compile failure when off64_t ok, but no fseeko

2008-06-06 Thread Marko Lindqvist
Package: zlib1g Version: 1:1.2.3.3.dfsg-12 Attached patch checks for fseeko separately even if off64_t check success. Assuming fseeko when ever off64_t check success caused compile failure on MinGW32 compile (don't know if this affects any of the official Debian platforms) For more info (and

Bug#447915: freeciv-client-gtk: Segfaults in lib.so.6 strlen() from g_strdup()

2007-10-27 Thread Marko Lindqvist
On 27/10/2007, Jude Anthony [EMAIL PROTECTED] wrote: Package: freeciv-client-gtk Version: 2.0.9-3 Followup-For: Bug #447915 For me, this started after a weekly dist-upgrade for security reasons. I tried to open a saved game, and as soon as I try to open a city dialog, I get a segfault.

Bug#440545: Miscompilation casting signed long to void* in 64bit system

2007-09-02 Thread Marko Lindqvist
Package: gcc Version: 4:4.2.1-5 Debian GNU/Linux lenny/sid amd64 gcc -v Using built-in specs. Target: x86_64-linux-gnu Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib

Bug#437503: Valgrind claims illegal instruction in ld-2.6.1.so

2007-08-12 Thread Marko Lindqvist
Package: libc6 Version: 2.6.1-1 For a couple of days valgrind has refused to run any programs. This started when /lib/ld-2.6.1.so was updated. ==19756== vex amd64-IR: unhandled instruction bytes: 0x66 0x66 0x66 0x66 ==19756== valgrind: Unrecognised instruction at address 0x4016321. ==19756==